hadoop-mapreduce-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jl...@apache.org
Subject svn commit: r1503958 - in /hadoop/common/branches/branch-2/hadoop-mapreduce-project: CHANGES.txt bin/mapred
Date Wed, 17 Jul 2013 00:31:52 GMT
Author: jlowe
Date: Wed Jul 17 00:31:52 2013
New Revision: 1503958

URL: http://svn.apache.org/r1503958
Log:
svn merge -c 1503957 FIXES: MAPREDUCE-5380. Invalid mapred command should return non-zero
exit code. Contributed by Stephen Chu

Modified:
    hadoop/common/branches/branch-2/hadoop-mapreduce-project/CHANGES.txt
    hadoop/common/branches/branch-2/hadoop-mapreduce-project/bin/mapred

Modified: hadoop/common/branches/branch-2/hadoop-mapreduce-project/CHANGES.txt
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-2/hadoop-mapreduce-project/CHANGES.txt?rev=1503958&r1=1503957&r2=1503958&view=diff
==============================================================================
--- hadoop/common/branches/branch-2/hadoop-mapreduce-project/CHANGES.txt (original)
+++ hadoop/common/branches/branch-2/hadoop-mapreduce-project/CHANGES.txt Wed Jul 17 00:31:52
2013
@@ -21,6 +21,9 @@ Release 2.3.0 - UNRELEASED
     MAPREDUCE-5358. MRAppMaster throws invalid transitions for JobImpl
     (Devaraj K via jlowe)
 
+    MAPREDUCE-5380. Invalid mapred command should return non-zero exit code
+    (Stephen Chu via jlowe)
+
 Release 2.2.0 - UNRELEASED
 
   INCOMPATIBLE CHANGES
@@ -1097,6 +1100,9 @@ Release 0.23.10 - UNRELEASED
     MAPREDUCE-3193. FileInputFormat doesn't read files recursively in the
     input path dir (Devaraj K via jlowe)
 
+    MAPREDUCE-5380. Invalid mapred command should return non-zero exit code
+    (Stephen Chu via jlowe)
+
 Release 0.23.9 - 2013-07-08
 
   INCOMPATIBLE CHANGES

Modified: hadoop/common/branches/branch-2/hadoop-mapreduce-project/bin/mapred
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-2/hadoop-mapreduce-project/bin/mapred?rev=1503958&r1=1503957&r2=1503958&view=diff
==============================================================================
--- hadoop/common/branches/branch-2/hadoop-mapreduce-project/bin/mapred (original)
+++ hadoop/common/branches/branch-2/hadoop-mapreduce-project/bin/mapred Wed Jul 17 00:31:52
2013
@@ -83,7 +83,7 @@ elif [ "$COMMAND" = "mradmin" ] \
   echo "Sorry, the $COMMAND command is no longer supported."
   echo "You may find similar functionality with the \"yarn\" shell command."
   print_usage
-  exit
+  exit 1
 elif [ "$COMMAND" = "distcp" ] ; then
   CLASS=org.apache.hadoop.tools.DistCp
   CLASSPATH=${CLASSPATH}:${TOOL_PATH}
@@ -95,7 +95,7 @@ elif [ "$COMMAND" = "archive" ] ; then
 else
   echo $COMMAND - invalid command
   print_usage
-  exit
+  exit 1
 fi
 
 # for developers, add mapred classes to CLASSPATH



Mime
View raw message